<?php
/**
 * @link      http://www.u-bo.com
 * @copyright 南京友博网络科技有限公司 
 * @license   http://www.u-bo.com/license/
 */

namespace home\modules\schedule\controllers;

use home\controllers\Controller;

/**
 * 日程类别控制器
 * 
 * @author zealxd http://blog.u-bo.com
 * @since 0.1
 */
class CategoryController extends Controller
{
    public function actions()
    {
        $actions = parent::actions();
        $actions['create']['layout'] = '//modal';
        $actions['view']['layout'] = '//modal';
        $actions['update']['layout'] = '//modal';
        return $actions;
    }

    public function behaviors()
    {
        return [
            'access' => [
                'class' => \common\behaviors\TreeDeleteFilter::className(),
                'only' => ['delete'],
            ],
        ];
    }

}
